
package com.tmerclub.cloud.common.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2021/06/29
 */
public class ProductSearchLimitDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    public ProductSearchLimitDTO() {
    }

    public ProductSearchLimitDTO(Integer size) {
        this.size = size;
    }

    @Schema(description = "店铺id列表")
    private List<Long> shopIds;

    @Schema(description = "供应商id列表")
    private List<Long> supplierIds;

    @Schema(description = "品牌id列表")
    private List<Long> brandIds;

    @Schema(description = "商品分组id列表")
    private List<Long> tagIds;

    @Schema(description = "大小")
    private Integer size;

    public List<Long> getShopIds() {
        return shopIds;
    }

    public void setShopIds(List<Long> shopIds) {
        this.shopIds = shopIds;
    }

    public List<Long> getBrandIds() {
        return brandIds;
    }

    public void setBrandIds(List<Long> brandIds) {
        this.brandIds = brandIds;
    }

    public List<Long> getTagIds() {
        return tagIds;
    }

    public void setTagIds(List<Long> tagIds) {
        this.tagIds = tagIds;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public List<Long> getSupplierIds() {
        return supplierIds;
    }

    public void setSupplierIds(List<Long> supplierIds) {
        this.supplierIds = supplierIds;
    }

    @Override
    public String toString() {
        return "ProductSearchLimitDTO{" +
                "shopIds=" + shopIds +
                ", supplierIds=" + supplierIds +
                ", brandIds=" + brandIds +
                ", tagIds=" + tagIds +
                ", size=" + size +
                '}';
    }
}
